Subject: Re: git gtk+/GNOME gui application: gitg

From: SZEDER Gábor <[email-masked]>
Date: Tue, 3 Feb 2009 14:08:18 +0100

Hi Jesse,

On Sat, Jan 31, 2009 at 09:05:17PM +0100, Jesse van den Kieboom wrote:
> I have been developing a gui application for git for gtk+/GNOME based on
> GitX (which in turn is based on gitk). I feel that it's reaching the
> point where it might potentially be useful for other people to use. It
> currently features:
> 
> - Loading large repositories very fast
> - Show/browse repository history
> - Show highlighted revision diff
> - Browse file tree of a revision and export by drag and drop
> - Search in the revision history on subject, author or hash
> - Switch between history view of branches easily
> - Commit view providing per hunk stage/unstage and commit
> 
> The project is currently hosted on github:
> http://github.com/jessevdk/gitg
> 
> clone: git://github.com/jessevdk/gitg.git
> 
> Please let me know what you think,

Great!

I wanted to give it a try, but didn't want to install it, and
experienced some problems.  The following two patches should improve
the situation a little bit, but it's still not a full-scale solution.

Regards,
Gábor